| Home | Libraries | People | FAQ | More

##### segments_encoded_base::buffer

Return the referenced character buffer.

###### Synopsis

    pct_string_view
    buffer() const;

###### Description

This function returns the character buffer referenced by the view. The returned string may contain percent escapes.

###### Example

    assert( url_view( "/path/to/file.txt" ).encoded_segments().buffer() == "/path/to/file.txt" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.